part of grinder_smartling;

/// Defines the type of a file to be uploaded.
abstract class FileType {

  /// The file is an Android XML resource.
  static const String android = 'android';

  /// The file is a CSV resource.
  static const String csv = 'csv';

  /// The file is a Gettext PO/POT resource.
  static const String gettext = 'gettext';

  /// The file is an HTML resource.
  static const String html = 'html';

  /// The file is a InDesign Markup Language resource.
  static const String inDesign = 'idml';

  /// The file is an iOS Strings resource.
  static const String iosStrings = 'ios';

  /// The file is an iOS Strings Dictionary resource.
  static const String iosStringsDict = 'stringsdict';

  /// The file is a Java Properties resource.
  static const String javaProperties = 'javaProperties';

  /// The file is a JSON resource.
  static const String json = 'json';

  /// The file is a MadCap Lingo ZIP resource.
  static const String madcapLingo = 'madcap';

  /// The file is an Office Open XML resource.
  static const String openXml = 'docx';

  /// The file is a plain text resource.
  static const String plainText = 'plainText';

  /// The file is a QT Linguist resource.
  static const String qtLinguist = 'qt';

  /// The file is a Microsoft ResX resource.
  static const String resx = 'resx';

  /// The file is a SubRip resource.
  static const String subrip = 'srt';

  /// The file is a XLIFF resource.
  static const String xliff = 'xliff';

  /// The file is a custom XML resource.
  static const String xml = 'xml';

  /// The file is a YAML resource.
  static const String yaml = 'yaml';
}
