part of grinder_smartling;

/// Defines the retrieval type of a file to be downloaded.
abstract class RetrievalType {

  /// Returns a modified version of the original file with strings wrapped in a specific set of Unicode symbols that can later be recognized and matched by the Chrome Context Capture Extension.
  static const String contextMatchingInstrumented = 'contextMatchingInstrumented';

  /// Returns any translations (including non-published translations).
  static const String pending = 'pending';

  /// Returns a modified version of the original text with certain characters transformed and the text expanded.
  static const String pseudo = 'pseudo';

  /// Returns only published/pre-published translations.
  static const String published = 'published';
}
