import 'package:grinder/grinder.dart' hide fail;
import 'package:grinder_smartling/grinder_smartling.dart';
import 'package:test/test.dart';

/// Tests the features of the [Client] class.
void main() => group('Client', () {
  group('.authenticate()', () {
    test('should throw a `ArgumentError` if the user credentials are invalid', () {
      expect(new Client().authenticate(), throwsA(isArgumentError));
    });
  });

  group('.downloadFile()', () {
    test('should throw a `ArgumentError` if the user credentials are invalid', () {
      expect(new Client().downloadFile('foo', 'messages.json', new Locale('en')), throwsA(isArgumentError));
    });
  });

  group('.uploadFile()', () {
    test('should throw a `ArgumentError` if the user credentials are invalid', () {
      expect(new Client().uploadFile('foo', 'messages.json', getFile('test/fixtures/messages.json')), throwsA(isArgumentError));
    });
  });
});
