import 'package:grinder_smartling/grinder_smartling.dart';
import 'package:test/test.dart';

/// The class to be tested.
class _Task extends Task {
  _Task([String projectId = '', String userId = '', String userSecret = '']):
    super(projectId, userId, userSecret);
}

/// Tests the features of the [Task] class.
void main() => group('Task', () {
  group('.userId', () {
    test('should synchronize the user identifier with the underlying client', () {
      var task = new _Task('FooBar', 'anonymous', 'secret');
      expect(task.client.userId, equals('anonymous'));

      task.userId = 'JohnDoe';
      expect(task.client.userId, equals('JohnDoe'));
    });
  });

  group('.userSecret', () {
    test('should synchronize the user secret with the underlying client', () {
      var task = new _Task('FooBar', 'anonymous', 'secret');
      expect(task.client.userSecret, equals('secret'));

      task.userSecret = 'MyPassword';
      expect(task.client.userSecret, equals('MyPassword'));
    });
  });

  group('.validate()', () {
    test('should throw an error if the instance is not properly initialized', () {
      expect(() => new _Task().validate(), throwsArgumentError);
    });

    test('should not throw an error if the instance is properly initialized', () {
      expect(() => new _Task('FooBar', 'anonymous', 'secret').validate(), returnsNormally);
    });
  });
});
